<div class="container-fluid">
    <div class="text-right ">
        <select name="" id="" #ref (change)="switchLanguage($event.target.value)" >
          <option value="en">English</option>
          <option value="fr">French</option>
        </select>
      </div>
      <!-- <div class="float-right mb-2">
        <select class="form-contro" style="width: 40px;" [(ngModel)]="selectLang" name="selectLang" (change)="switchLanguage()">
            la
            <option *ngFor="let lang of TransLang" value="{{lang}}">{{ lang }}</option>
            </select>
      </div> -->
     
   
      <!-- <div>
        {{ 'Intro' | translate }}
      </div> -->
    <div class="heading">
        <!-- <div>{{ 'HELLO' | translate:param }}</div> -->
        <p >{{"HEADING.create"|translate}}</p>
    </div>
    <form [formGroup]="createForm" #formDirective="ngForm" (ngSubmit)="createUser(createForm,formDirective)">
        <div class="text-right ">
            <mat-checkbox class="example-margin  " formControlName='favourite' title="bookmark page" #ref>
                <div *ngIf="ref.checked">
                    <span class="material-icons">star</span>
                </div>
                <div *ngIf="!ref.checked">
                    <span class="material-icons">star_border</span>
                </div>
            </mat-checkbox>
        </div>
        <div class="row text-right">
            <div class="col-6 form-group">
                <mat-form-field class="example-full-width">
                    <mat-label >{{"USERDETAILS.first_name"|translate}}</mat-label>
                    <input type="text" matInput formControlName="firstname" placeholder="{{'USERDETAILS.first_name'|translate}}">
                    <mat-error *ngIf="createForm.controls['firstname'].invalid">
                        <div  *ngIf="createForm.controls['firstname'].errors.required">
                            {{"VALIDATIONS.first_name_required"|translate}}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-6">
                <mat-form-field class="example-full-width">
                    <mat-label >{{"USERDETAILS.last_name"|translate}}</mat-label>
                    <input type="text" matInput formControlName="lastname" placeholder="{{'USERDETAILS.last_name'|translate}}">
                    <mat-error *ngIf="createForm.controls['lastname'].invalid ">
                        <div  *ngIf="createForm.controls['lastname'].errors.required">
                            {{"VALIDATIONS.last_name_required"|translate}}
                        </div>
                    </mat-error>
                </mat-form-field>

            </div>
        </div>
        <!-- <mat-form-field class="example-full-width">
        <mat-label>Email</mat-label>
        <input type="email" matInput formControlname="firstname" placeholder="Ex. pat@example.com">   
      </mat-form-field> -->
        <div class="row">
            <div class="col-6 form-chec">
                <div class="form-check-labe">
                    <mat-label class="radioLabel" >{{"USERDETAILS.gender"|translate}}</mat-label>
                    <div class="mt-2">
                        <mat-radio-group aria-label="Gender" formControlName="gender">
                            <mat-radio-button value="male"  >{{"USERDETAILS.male"|translate}}</mat-radio-button>
                            <mat-radio-button value="female"  >{{"USERDETAILS.female"|translate}}</mat-radio-button>
                            <mat-error *ngIf="createForm.controls['gender'].invalid && formInvalidSubmit">
                                <div  *ngIf="createForm.controls['gender'].errors.required ">
                                    {{"VALIDATIONS.required_field"|translate}}  
                                </div>
                            </mat-error>
                        </mat-radio-group>
                    </div>
                </div>
            </div>
            <div class="col-6 form-check">
                <div class="form-check-label">
                    <mat-label class="radioLabel" >{{"USERDETAILS.martial_status"|translate}}</mat-label>
                    <div class="mt-2">
                        <mat-radio-group aria-label="MartialStatus" formControlName="martialstatus">
                            <mat-radio-button value="married" >{{"USERDETAILS.married"|translate}}</mat-radio-button>
                            <mat-radio-button value="unmarried" >{{"USERDETAILS.unmarried"|translate}}</mat-radio-button>
                            <mat-error *ngIf="createForm.controls['martialstatus'].invalid && formInvalidSubmit">
                                <div  *ngIf="createForm.controls['martialstatus'].errors.required">
                                    {{"VALIDATIONS.required_field"|translate}}
                                </div>
                            </mat-error>
                        </mat-radio-group>
                        <!-- {{createForm.controls['martialstatus'].invalid}} -->
                    </div>
                </div>
            </div>
        </div>

        <!-- <div
    formArrayName="items"
    
  >
    <div [formGroupName]="i">
      <input formControlName="name" placeholder="Item name">
      <input formControlName="description" placeholder="Item description">
      <input formControlName="price" placeholder="Item price">
    </div>
    Exposed item name: {{ orderForm.controls.items.controls[i].controls.name.value }}
  </div> -->
        <div formArrayName="contactnumbers"
            *ngFor="let item of createForm.get('contactnumbers')['controls']; let i = index;">
            <div [formGroupName]="i">
                <div class="row p-2  mt-2 jumbotron">
                    <!-- <div class="row p-2  mt-2 jumbotron" *ngFor="let v of contactNumbers; let i =index"> -->
                    <div class="col-5">
                        <mat-form-field appearance="fill">
                            <mat-label >{{"USERDETAILS.contact_type"|translate}}</mat-label>
                            <mat-select nam="food" formControlName="contact">
                                <div *ngFor="let contact of contactTypes">
                                    <mat-option  [value]="contact.value" (click)="ChangeContactTypeValidation(i)">
                                        {{contact.viewValue}}
                                    </mat-option>
                                </div>
                            </mat-select>
                            <mat-error
                                *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['contact'].invalid">
                                <div 
                                    *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['contact'].errors.required">
                                    {{"VALIDATIONS.select_contact_type"|translate}}
                                </div>
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-5 mt-2">
                        <mat-form-field class="example-full-width">
                            <mat-label >{{"USERDETAILS.number"|translate}}</mat-label>
                            <input type="text" matInput formControlName="number" placeholder="{{'USERDETAILS.number'|translate}}">
                            <mat-error 
                                *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['number'].invalid ">
                                <div>
                                    <div 
                                        *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.required">
                                        {{"VALIDATIONS.contact_number_required"|translate}}
                                    </div>
                                    <div 
                                        *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.pattern && 
                                        (createForm.get('contactnumbers')['controls'][i]['controls']['contact'].value=='mobile')">
                                        {{"VALIDATIONS.invalid_mobile_number"|translate}}
                                    </div>
                                    <div 
                                    
                                        *ngIf="createForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.minlength && 
                                        (createForm.get('contactnumbers')['controls'][i]['controls']['contact'].value=='landline')">
                                        {{"VALIDATIONS.invalid_landline_number"|translate}}
                                        <!-- Ex:-00002469XXX -->
                                    </div>
                                </div>
                            </mat-error>
                            <!-- {{createForm.get('contactnumbers')['controls'][i]['controls']['number'].invalid}} -->
                        </mat-form-field>
                        <!-- <input type="number" class="form-control input" name="number{{i}}" placeholder="Number"
                        [(ngModel)]='v.number'> -->
                    </div>
                    <div class="col-2 mt-2">
                        <i class="fa fa-plus p-1" aria-hidden="true" (click)="addContactRow()" *ngIf="i==lastIndex"></i>
                        <i class="fa fa-minus p-1" aria-hidden="true" (click)="removeContactRow(i)" readonly
                            *ngIf="i==lastIndex"></i>
                    </div>
                    <!-- </div> -->
                </div>
            </div>
        </div>


        <!-- <mat-form-field appearance="fill">
            <mat-label>Favorite food</mat-label>
            <mat-select [(ngModel)]="selectedValue" name="food">
              <mat-option *ngFor="let food of foods" [value]="food.value">
                {{food.viewValue}}
              </mat-option>
            </mat-select>
          </mat-form-field> -->
        <div class="text-right mt-5">
            <button mat-raised-button color="primary" type="submit" translate>
             {{"BUTTONS.create"|translate}}  
            </button>

            <!-- <button class="btn btn-primary" (click)="Create()"> create</button> -->
        </div>
    </form>
</div>